4.6. Anhängen und Abhängen von Dateisystemen
Zurück | Kapitel 4. Grundlagen des UNIX Betriebssystems | Weiter

## 4.6. Anhängen und Abhängen von Dateisystemen

Ein Dateisystem wird am besten als ein Baum mit der Wurzel `/` veranschaulicht. `/dev`, `/usr`, und die anderen Verzeichnisse im Rootverzeichnis sind Zweige, die wiederum eigene Zweige wie `/usr/local` haben können.

Es gibt verschiedene Gründe, bestimmte dieser Verzeichnisse auf eigenen Dateisystemen anzulegen. `/var` enthält `log/`, `spool/` sowie verschiedene andere temporäre Dateien und kann sich daher schnell füllen. Es empfiehlt sich, `/var` von `/` zu trennen, da es schlecht ist, wenn das Root-Dateisystem voll läuft.

Ein weiterer Grund bestimmte Verzeichnisbäume auf andere Dateisysteme zu legen, ist gegeben, wenn sich die Verzeichnisbäume auf gesonderten physikalischen oder virtuellen Platten, wie Network File System oder CD-ROM-Laufwerken, befinden.

### 4.6.1. Die `fstab` Datei

Während des Boot-Prozesses werden in `/etc/fstab` aufgeführte Verzeichnisse, sofern sie nicht mit der Option `noauto` versehen sind, automatisch angehangen.

Die Zeilen in `/etc/fstab` haben das folgende Format:

`device` `/mount-point` `fstype` `options` `dumpfreq` `passno`

`device`

  Ein existierender Gerätename wie in Abschnitt 19.2, „Gerätenamen“ beschrieben.

`mount-point`

  Ein existierendes Verzeichnis, an das das Dateisystem angehangen wird.

`fstype`

  Der Typ des Dateisystems, der an mount(8) weitergegeben wird. FreeBSDs Standarddateisystem ist `ufs`.

`options`

  Entweder `rw` für beschreibbare Dateisysteme oder `ro` für schreibgeschützte Dateisysteme, gefolgt von weiteren benötigten Optionen. Eine häufig verwendete Option ist `noauto` für Dateisysteme, die während der normalen Bootsequenz nicht angehangen werden sollen. Weitere Optionen finden sich in mount(8).

`dumpfreq`

  Gibt die Anzahl der Tage an, nachdem das Dateisystem gesichert werden soll. Fehlt der Wert, wird `0` angenommen.

`passno`

  Bestimmt die Reihenfolge, in der die Dateisysteme überprüft werden sollen. Für Dateisysteme, die übersprungen werden sollen, ist `passno` auf null zu setzen. Für das Root-Dateisystem, das vor allen anderen überprüft werden muss, sollte der Wert von `passno` eins betragen. Allen anderen Dateisystemen sollten Werte größer eins zugewiesen werden. Wenn mehrere Dateisysteme den gleichen Wert besitzen, wird fsck(8) versuchen, diese parallel zu überprüfen.

### 4.6.2. Das `mount` Kommando

mount(8) hängt schließlich Dateisysteme an.

In der grundlegenden Form wird es wie folgt benutzt:

`#` `mount `device` `mountpoint``

Viele Optionen werden in mount(8) beschrieben, die am häufigsten verwendeten sind:

Optionen von `mount`

`-a`

  Hängt alle Dateisysteme aus `/etc/fstab` an. Davon ausgenommen sind Dateisysteme, die mit „noauto“ markiert sind, die mit der Option `-t` ausgeschlossen wurden und Dateisysteme, die schon angehangen sind.

`-d`

  Führt alles bis auf den `mount`-Systemaufruf aus. Nützlich ist diese Option in Verbindung mit `-v`. Damit wird angezeigt, was mount(8) tatsächlich versuchen würde, um das Dateisystem anzuhängen.

`-f`

  Erzwingt das Anhängen eines unsauberen Dateisystems oder erzwingt die Rücknahme des Schreibzugriffs, wenn der Status des Dateisystems von beschreibbar auf schreibgeschützt geändert wird.

`-r`

  Hängt das Dateisystem schreibgeschützt ein. Das kann auch durch Angabe von `ro` als Argument der Option `-o` erreicht werden.

`-t` `fstype`

  Hängt das Dateisystem mit dem angegebenen Typ an, oder hängt nur Dateisysteme mit dem angegebenen Typ an, wenn auch `-a` angegeben wurde.

  Die Voreinstellung für den Typ des Dateisystems ist „ufs“.

`-u`

  Aktualisiert die Mountoptionen des Dateisystems.

`-v`

  Geschwätzig sein.

`-w`

  Hängt das Dateisystem beschreibbar an.

`-o` erwartet eine durch Kommata separierte Liste von Optionen, unter anderem die folgenden:

noexec

  Verbietet das Ausführen von binären Dateien auf dem Dateisystem. Dies ist eine nützliche Sicherheitsfunktion.

nosuid

  SetUID und SetGID Bits werden auf dem Dateisystem nicht beachtet. Dies ist eine nützliche Sicherheitsfunktion.

### 4.6.3. Das `umount` Kommando

umount(8) akzeptiert als Parameter entweder einen Mountpoint, einen Gerätenamen, oder die Optionen `-a` oder `-A`.

Jede Form akzeptiert `-f`, um das Abhängen zu erzwingen, und `-v`, um etwas geschwätziger zu sein. Seien Sie bitte vorsichtig mit `-f`: Ihr Computer kann abstürzen oder es können Daten auf dem Dateisystem beschädigt werden, wenn Sie das Abhängen erzwingen.

`-a` und `-A` werden benutzt um alle Dateisysteme, deren Typ durch `-t` modifiziert werden kann, abzuhängen. `-A` hängt das Rootdateisystem nicht ab.

Zurück | Nach oben | Weiter
4.5. Festplatten, Slices und Partitionen | Zum Anfang | 4.7. Prozesse

Wenn Sie Fragen zu FreeBSD haben, schicken Sie eine E-Mail an <de-bsd-questions@de.FreeBSD.org>.
Wenn Sie Fragen zu dieser Dokumentation haben, schicken Sie eine E-Mail an <de-bsd-translators@de.FreeBSD.org>.